/*****************************************************************
******************************************************************
** Microsoft Visual C++ 2005 Project for the K8055 USB I/O Card **
**                                                              **
**                    Copyright Velleman 2006                   **
**                        www.Velleman.be                       **
**                                                              **
**                                                              **
**                                                              **
**                         Developed by                         **
**                       RE-Applications                        **
**                   www.RE-Applications.be                     **
******************************************************************
******************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

#ifdef _CH_
#define FUNCTION 
#define __stdcall 
#pragma package <chk8055d_c>
#include <chdl.h>
LOAD_CHDL(K8055D_C);
#include<stdbool.h>
#else
#define FUNCTION __declspec(dllexport)
#endif

FUNCTION long __stdcall OpenDevice(long CardAddress);
void __stdcall CloseDevice();
FUNCTION long __stdcall ReadAnalogChannel(long Channel);
void __stdcall ReadAllAnalog(long *Data1, long *Data2);
void __stdcall OutputAnalogChannel(long Channel, long Data);
void __stdcall OutputAllAnalog(long Data1, long Data2);
void __stdcall ClearAnalogChannel(long Channel); 
void __stdcall ClearAllAnalog();
void __stdcall SetAnalogChannel(long Channel); 
void __stdcall SetAllAnalog();
void __stdcall WriteAllDigital(long Data);
void __stdcall ClearDigitalChannel(long Channel);
void __stdcall ClearAllDigital();
void __stdcall SetDigitalChannel(long Channel);
void __stdcall SetAllDigital();
FUNCTION bool __stdcall ReadDigitalChannel(long Channel);
FUNCTION long __stdcall ReadAllDigital();
FUNCTION long __stdcall ReadCounter(long CounterNr);
void __stdcall ResetCounter(long CounterNr);
void __stdcall SetCounterDebounceTime(long CounterNr, long DebounceTime);

void __stdcall Version();
FUNCTION long __stdcall SearchDevices();
FUNCTION long __stdcall SetCurrentDevice(long lngCardAddress);

#ifdef __cplusplus
}
#endif



